=== debian/changelog ===
hurd (1:0.9.git20180305-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 06 Mar 2018 08:35:38 +0000

hurd (1:0.9.git20180222-1) unstable; urgency=medium

  * New upstream snapshot.
    - debian/patches/git-fix-sync: Merged.
    - debian/patches/git-proc_mounts_firmlink.patch: Merged.
    - debian/patches/git-rpcscan-link: Merged.
  * debian/rules: Preseed more symbols for rebootstrap.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Feb 2018 20:58:25 +0000

hurd (1:0.9.git20180108-2) unstable; urgency=medium

  * debian/patches/git-fix-sync: Cherry-pick fix sync at shutdown.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Jan 2018 21:10:10 +0000

hurd (1:0.9.git20180108-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/exec_filename_exec.patch,exec_filename_fs.patch,
    exec_filename_use.patch: Keep compatibility.
  * debian/patches/exec_filename_fix.patch: Remove, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Jan 2018 00:24:18 +0000

hurd (1:0.9.git20171119-3) unstable; urgency=medium

  * patches/hash-weakref: New patch to fix use-after-free. Closes: Bug#882507.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Dec 2017 20:09:37 +0000

hurd (1:0.9.git20171119-2) unstable; urgency=medium

  * patches/pie-core: New patch to add at_entry note for PIE core dumps.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Dec 2017 01:40:05 +0000
