## hurd 0.9.git20220218

=== debian/changelog ===
hurd (1:0.9.git20220218-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 18 Feb 2022 00:57:33 +0000

hurd (1:0.9.git20220206-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-random-getrandom.patch: Upstreamed.
    - patches/git-exec-pie.patch: Upstreamed.
    - patches/git-random-time.patch: Upstreamed.
    - patches/git-server_name.patch: Upstreamed.
    - patches/git-login-cloexec.patch: Upstreamed.
    - patches/git-login-leaks.patch: Upstreamed.
    - patches/git-portinfo.patch: Upstreamed.
    - patches/git-portinfo2.patch: Upstreamed.
    - patches/git-const.patch: Upstreamed.
    - patches/rumpdisk-no-hd: Disable rumpdisk even with IDE drivers in
      gnumach.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Feb 2022 19:34:58 +0000

hurd (1:0.9.git20211230-5) unstable; urgency=medium

  * patches: Fix build warnings.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/git-const.patch: Constify RPCs server-side.
    - control: Bump gnumach-dev build-dep accordingly.
    - control: Bump mig build-dep accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Jan 2022 17:58:07 +0000

hurd (1:0.9.git20211230-4) unstable; urgency=medium

  * patches/git-login-leaks.patch: Fix some ports leaks.
  * patches/git-portinfo.patch: Make portinfo give much more information.
  * patches/git-portinfo2.patch: Fix deadname bug.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 04 Jan 2022 00:29:09 +0000

hurd (1:0.9.git20211230-3) unstable; urgency=medium

  * patches/git-server_name.patch: random: export __trivfs_server_name.
  * patches/git-login-cloexec.patch: Fix auth port leak.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 02 Jan 2022 00:26:33 +0000

hurd (1:0.9.git20211230-2) unstable; urgency=medium

  * control: Bump gnumach-dev build-dep to fix vm_size_array_t.
  * patches/git-random-time.patch: Fix loop between random and storeio
    initialization with glibc 2.34.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 31 Dec 2021 08:36:11 +0000

hurd (1:0.9.git20211230-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/git-dealloc: Upstreamed.
    - patches/git-fix-install-pci-arbiter: Upstreamed.
    - patches/git-fix-symlink-frobbing: Upstreamed.
    - patches/git-fix-symlink-translator: Upstreamed.
    - patches/git-fix-sync: Upstreamed.
    - patches/git-fix_fsys_init_parent_proc: Upstreamed.
    - patches/git-fix_libmachdev_dosync: Upstreamed.
    - patches/git-libstore_offset_check: Upstreamed.
    - patches/git-next_task: Upstreamed.
    - patches/git-notirpc: Upstreamed.
    - patches/git-optim: Upstreamed.
    - patches/git-optim2: Upstreamed.
    - patches/git-rump_alloc.patch: Upstreamed.
    - patches/git-tirpc: Upstreamed.
    - patches/git-exec-pie.patch: Only constraint loading the ELF interpreter.
    - patches/git-random-getrandom.patch: Add a trivfs_server_name.
    - control: Bump libc0.3-dev build-dep to get vm_region_create_proxy.
  * rules: Update stage1 configure pre-caching.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 30 Dec 2021 15:16:18 +0000

hurd (1:0.9.git20210811-5) unstable; urgency=medium

  * patches/git-rump_alloc.patch: Ensure physical allocation of memory for DMA
    reads.
  * patches/git-notirpc: Really make libtirpc optional, for bootstrap.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Aug 2021 12:14:51 +0000

hurd (1:0.9.git20210811-4) unstable; urgency=medium

  * patches/exec_filename_exec.patch: Drop server part.
  * patches/exec_filename_fs.patch: Drop server part.
  * patches/exec_filename_use.patch: Drop.
  * local/runsystem.sysv: Replace "which" by "command -v".
  * patches/libstore_offset_check: Detect device-based access overflow.
  * patches/tirpc: Use libtirpc.
  * control: Add libtirpc-dev build-dep.
  * patches/dealloc: Add missing deallocation in rumpdisk.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Aug 2021 00:32:45 +0000

hurd (1:0.9.git20210811-3) unstable; urgency=medium

  * debian/patches/optim: Add ext2fs optimisation.
  * debian/patches/optim2: Add general optimisation.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Aug 2021 23:49:35 +0000

hurd (1:0.9.git20210811-2) unstable; urgency=medium

  * debian/patches/fix-symlink-translator: Fix block allocation when
    converting a symlink to a translator node.
  * debian/patches/fix_fsys_init_parent_proc: Fix setting bootstrap tasks
    arguments.
  * debian/patches/fix-install-pci-arbiter: Fix pci-arbiter showing up in
    /servers/bus/pci
  * debian/patches/fix_libmachdev_dosync: Fix libmachdev behavior at shutdown.
  * debian/patches/next_task: Rename options for bootstrap chain.
  * debian/patches/fix-symlink-frobbing: Fix frobbing symlinks. This should
    reduce spurious error correction from ext2fs.
  * debian/patches/fix-sync: Fix syncing nodes getting removed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Aug 2021 16:29:03 +0000

hurd (1:0.9.git20210811-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixes disappearance of /dev/urandom.
    - debian/patches/fix-truncate: upstreamed.
    - debian/patches/git-invalid-right: upstreamed.
    - debian/patches/git-libmachdev-non-bootstrap-fix.patch: upstreamed.
    - debian/patches/git-pci-arbiter-non-bootstrap-fix.patch: upstreamed.
    - debian/patches/git-pci-arbiter-option.patch: upstreamed.
    - debian/patches/git-trivfs_server.patch: upstreamed.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 11 Aug 2021 02:29:43 +0000

hurd (1:0.9.git20210404-9) unstable; urgency=medium

  [ Sergey Bugaev ]
  * patches/00*: Fix read-only mapping security issue.

  [ Samuel Thibault ]
  * control: Bump gnumach break, since we need gnumach fixes for proper object
    cleanup.
  * patches/restore_proc_setowner_request: Rework into RPC-rename, for more
    coherent RPC names.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 Aug 2021 18:21:08 +0000


