=== debian/control ===
Source: hurd
Section: admin
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Standards-Version: 4.6.0
Build-Depends:
 mig-for-host (>= 1.8+git20200618-7~) <!stage1 !stage2>,
 gnumach-dev (>= 2:1.8+git20211230-7~) <!stage1>,
 libc0.3-dev (>= 2.33-2~1) <!stage1>, texinfo,
 debhelper-compat (= 12), dpkg-dev (>= 1.17.14), dh-exec (>= 0.17),
 gawk, flex, bison,
 libgcrypt20-dev <!stage1 !stage2>,
 libncursesw5-dev <!stage1 !stage2>,
 libparted-dev <!stage1 !stage2>,
 librumpdev-disk-dev <!stage1 !stage2>,
 libpciaccess-dev <!stage1 !stage2>,
 libtirpc-dev <!stage1 !stage2>,
 libx11-dev <!stage1 !stage2>,
 x11proto-core-dev <!stage1 !stage2>,
 pkg-config <!stage1 !stage2>,
 xkb-data <!stage1 !stage2>,
 libdaemon-dev <!stage1 !stage2>,
 libpcap0.8-dev <!stage1 !stage2>,
 zlib1g-dev <!stage1 !stage2>,
 libbz2-dev <!stage1 !stage2>,
 uuid-dev <!stage1 !stage2>,
 libblkid-dev <!stage1 !stage2>,
 liblwip-dev <!stage1 !stage2>
Uploaders: Michael Banck <mbanck@debian.org>, 
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: https://salsa.debian.org/hurd-team/hurd
Vcs-Git: https://salsa.debian.org/hurd-team/hurd.git

Package: hurd-libs0.3
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: netdde (<< 0.0.20200330-8~)
Architecture: hurd-any
Build-Profiles: <!stage1>
Multi-Arch: same
Description: GNU Hurd (libraries)
 This package contains the libraries used by GNU Hurd.

Package: hurd
Essential: yes
Pre-Depends: hurd-libs0.3, ${misc:Pre-Depends}
Depends: ${misc:Depends}, lsb-base (>= 3.0-6), hurd-libs0.3 (= ${binary:Version}), sysv-rc <!stage2> | openrc <!stage2>, ${shlibs:Depends}, xkb-data <!stage2>
Breaks: gnumach-image-1-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1-xen-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-486-dbg (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-xen-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-xen-486-dbg (<< 2:1.8+git20210809-1~),
	libc0.3 (<< 2.31-13+hurd.1~), netdde (<< 0.0.20121127-2)
Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source, netdde (>= 0.0.20120518~) <!stage2>
Provides: makedev, login, console-driver-xkb
Replaces: makedev, login (<< 1:4.0.14-4), random-egd, console-driver-xkb, initscripts (<< 2.95-4A)
Conflicts: makedev, login (<< 1:4.0.14-4), console-driver-xkb
Architecture: hurd-any
Build-Profiles: <!stage1>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries.

Package: hurd-prof
Priority: optional
Pre-Depends: hurd-libs0.3
Depends: ${misc:Depends}, hurd-libs0.3 (= ${binary:Version}), ${shlibs:Depends}, xkb-data <!stage2>
Breaks: gnumach (<< 2:1.3.99.dfsg.cvs20070526-1), libc0.3 (<< 2.19-15~), netdde (<< 0.0.20121127-2)
Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source
Architecture: hurd-any
Build-Profiles: <!stage1 !pkg.hurd.noprof>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries, with gprof profiling enabled.

Package: hurd-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 libc0.3-dev (>= 2.13-31~) <!stage1>,
 hurd-libs0.3 (= ${binary:Version}) <!stage1>,
 hurd (= ${binary:Version}) <!stage2>
Provides: hurd-headers-dev, libihash-dev, libdde-linux26-dev <!stage2>
Replaces: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Breaks: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Build-Profiles: <!stage1>
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.

Package: hurd-headers-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <stage1>
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.
 .
 This package is only used for bootstrap, it contains headers needed for libc

Package: hurd-doc
Priority: optional
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!stage1>
Depends: ${misc:Depends}
Suggests: www-browser
Description: GNU Hurd manual
 This package includes the manual in info and HTML format.

Package: hurd-libs0.3-udeb
Section: debian-installer
Package-Type: udeb
Priority: optional
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Hurd (libraries) - udeb
 This package contains the libraries used by GNU Hurd udeb.

Package: hurd-udeb
Package-Type: udeb
Priority: optional
Section: debian-installer
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2>
Depends: ${misc:Depends}, ${shlibs:Depends}, hurd-libs0.3-udeb (= ${binary:Version}), xkb-data-udeb
Built-Using: ${built-using}
Provides: hurd, ext2-modules, fat-modules, ipv6-modules, isofs-modules, loop-modules, mouse-modules, nfs-modules, socket-modules
Description: GNU Hurd - udeb
 This is the GNU Hurd udeb package. It contains essential system software and
 libraries.
